package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * high_child_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighChildOrder implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店地址
     */
    private String storeAddress;

    /**
     * 商品类型   1:卡卷 2:金币充值  3:团油【加油站】 4: KFC  5：电影票
     */
    private Integer goodsType;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品的名称
     */
    private String goodsName;

    /**
     * 商品描述
     */
    private String goodsDesc;

    /**
     * 商品图片
     */
    private String goodsImg;

    /**
     * 商品规格名称
     */
    private String goodsSpecName;

    /**
     * 商品的单价
     */
    private BigDecimal goodsPrice;

    /**
     * 商品的实际价格
     */
    private BigDecimal goodsActualPrice;

    /**
     * 商品的数量
     */
    private Integer saleCount;

    /**
     * 商品的价格（单价*数量）
     */
    private BigDecimal totalPrice;

    /**
     * 是否是赠品  0：否   1：是
     */
    private Boolean giveawayType;

    /**
     * 子订单状态：1 待支付  2 已支付  3.已完成  4. 已退款  5.已取消
     */
    private Integer childOrdeStatus;

    /**
     * 评价状态： 0：未评价  1：已评价
     */
    private Integer praiseStatus;

    /**
     * 【加油站】油号
     */
    private String gasOilNo;

    /**
     * 【加油站】油抢号
     */
    private String gasGunNo;

    /**
     * 【加油站】油品类型 1:汽油:2:柴油;3:天然气
     */
    private Integer gasOilType;

    /**
     * 【加油站】订单号
     */
    private String gasOrderNo;

    /**
     * 【加油站】油枪价
     */
    private BigDecimal gasPriceGun;

    /**
     * 【加油站】优惠价
     */
    private BigDecimal gasPriceVip;

    private String ext1;

    private String ext2;

    private String ext3;

    private String ext4;

    private String ext5;

    private String ext6;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getMemId() {
        return memId;
    }

    public void setMemId(Long memId) {
        this.memId = memId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(String storeAddress) {
        this.storeAddress = storeAddress;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsDesc() {
        return goodsDesc;
    }

    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getGoodsSpecName() {
        return goodsSpecName;
    }

    public void setGoodsSpecName(String goodsSpecName) {
        this.goodsSpecName = goodsSpecName;
    }

    public BigDecimal getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(BigDecimal goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public BigDecimal getGoodsActualPrice() {
        return goodsActualPrice;
    }

    public void setGoodsActualPrice(BigDecimal goodsActualPrice) {
        this.goodsActualPrice = goodsActualPrice;
    }

    public Integer getSaleCount() {
        return saleCount;
    }

    public void setSaleCount(Integer saleCount) {
        this.saleCount = saleCount;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Boolean getGiveawayType() {
        return giveawayType;
    }

    public void setGiveawayType(Boolean giveawayType) {
        this.giveawayType = giveawayType;
    }

    public Integer getChildOrdeStatus() {
        return childOrdeStatus;
    }

    public void setChildOrdeStatus(Integer childOrdeStatus) {
        this.childOrdeStatus = childOrdeStatus;
    }

    public Integer getPraiseStatus() {
        return praiseStatus;
    }

    public void setPraiseStatus(Integer praiseStatus) {
        this.praiseStatus = praiseStatus;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public Integer getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(Integer gasOilType) {
        this.gasOilType = gasOilType;
    }

    public String getGasOrderNo() {
        return gasOrderNo;
    }

    public void setGasOrderNo(String gasOrderNo) {
        this.gasOrderNo = gasOrderNo;
    }

    public BigDecimal getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(BigDecimal gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public BigDecimal getGasPriceVip() {
        return gasPriceVip;
    }

    public void setGasPriceVip(BigDecimal gasPriceVip) {
        this.gasPriceVip = gasPriceVip;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    public String getExt6() {
        return ext6;
    }

    public void setExt6(String ext6) {
        this.ext6 = ext6;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighChildOrder other = (HighChildOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getMemId() == null ? other.getMemId() == null : this.getMemId().equals(other.getMemId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getStoreAddress() == null ? other.getStoreAddress() == null : this.getStoreAddress().equals(other.getStoreAddress()))
            && (this.getGoodsType() == null ? other.getGoodsType() == null : this.getGoodsType().equals(other.getGoodsType()))
            && (this.getGoodsId() == null ? other.getGoodsId() == null : this.getGoodsId().equals(other.getGoodsId()))
            && (this.getGoodsName() == null ? other.getGoodsName() == null : this.getGoodsName().equals(other.getGoodsName()))
            && (this.getGoodsDesc() == null ? other.getGoodsDesc() == null : this.getGoodsDesc().equals(other.getGoodsDesc()))
            && (this.getGoodsImg() == null ? other.getGoodsImg() == null : this.getGoodsImg().equals(other.getGoodsImg()))
            && (this.getGoodsSpecName() == null ? other.getGoodsSpecName() == null : this.getGoodsSpecName().equals(other.getGoodsSpecName()))
            && (this.getGoodsPrice() == null ? other.getGoodsPrice() == null : this.getGoodsPrice().equals(other.getGoodsPrice()))
            && (this.getGoodsActualPrice() == null ? other.getGoodsActualPrice() == null : this.getGoodsActualPrice().equals(other.getGoodsActualPrice()))
            && (this.getSaleCount() == null ? other.getSaleCount() == null : this.getSaleCount().equals(other.getSaleCount()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getGiveawayType() == null ? other.getGiveawayType() == null : this.getGiveawayType().equals(other.getGiveawayType()))
            && (this.getChildOrdeStatus() == null ? other.getChildOrdeStatus() == null : this.getChildOrdeStatus().equals(other.getChildOrdeStatus()))
            && (this.getPraiseStatus() == null ? other.getPraiseStatus() == null : this.getPraiseStatus().equals(other.getPraiseStatus()))
            && (this.getGasOilNo() == null ? other.getGasOilNo() == null : this.getGasOilNo().equals(other.getGasOilNo()))
            && (this.getGasGunNo() == null ? other.getGasGunNo() == null : this.getGasGunNo().equals(other.getGasGunNo()))
            && (this.getGasOilType() == null ? other.getGasOilType() == null : this.getGasOilType().equals(other.getGasOilType()))
            && (this.getGasOrderNo() == null ? other.getGasOrderNo() == null : this.getGasOrderNo().equals(other.getGasOrderNo()))
            && (this.getGasPriceGun() == null ? other.getGasPriceGun() == null : this.getGasPriceGun().equals(other.getGasPriceGun()))
            && (this.getGasPriceVip() == null ? other.getGasPriceVip() == null : this.getGasPriceVip().equals(other.getGasPriceVip()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getExt6() == null ? other.getExt6() == null : this.getExt6().equals(other.getExt6()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getMemId() == null) ? 0 : getMemId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getStoreAddress() == null) ? 0 : getStoreAddress().hashCode());
        result = prime * result + ((getGoodsType() == null) ? 0 : getGoodsType().hashCode());
        result = prime * result + ((getGoodsId() == null) ? 0 : getGoodsId().hashCode());
        result = prime * result + ((getGoodsName() == null) ? 0 : getGoodsName().hashCode());
        result = prime * result + ((getGoodsDesc() == null) ? 0 : getGoodsDesc().hashCode());
        result = prime * result + ((getGoodsImg() == null) ? 0 : getGoodsImg().hashCode());
        result = prime * result + ((getGoodsSpecName() == null) ? 0 : getGoodsSpecName().hashCode());
        result = prime * result + ((getGoodsPrice() == null) ? 0 : getGoodsPrice().hashCode());
        result = prime * result + ((getGoodsActualPrice() == null) ? 0 : getGoodsActualPrice().hashCode());
        result = prime * result + ((getSaleCount() == null) ? 0 : getSaleCount().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getGiveawayType() == null) ? 0 : getGiveawayType().hashCode());
        result = prime * result + ((getChildOrdeStatus() == null) ? 0 : getChildOrdeStatus().hashCode());
        result = prime * result + ((getPraiseStatus() == null) ? 0 : getPraiseStatus().hashCode());
        result = prime * result + ((getGasOilNo() == null) ? 0 : getGasOilNo().hashCode());
        result = prime * result + ((getGasGunNo() == null) ? 0 : getGasGunNo().hashCode());
        result = prime * result + ((getGasOilType() == null) ? 0 : getGasOilType().hashCode());
        result = prime * result + ((getGasOrderNo() == null) ? 0 : getGasOrderNo().hashCode());
        result = prime * result + ((getGasPriceGun() == null) ? 0 : getGasPriceGun().hashCode());
        result = prime * result + ((getGasPriceVip() == null) ? 0 : getGasPriceVip().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getExt6() == null) ? 0 : getExt6().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderId=").append(orderId);
        sb.append(", memId=").append(memId);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", storeAddress=").append(storeAddress);
        sb.append(", goodsType=").append(goodsType);
        sb.append(", goodsId=").append(goodsId);
        sb.append(", goodsName=").append(goodsName);
        sb.append(", goodsDesc=").append(goodsDesc);
        sb.append(", goodsImg=").append(goodsImg);
        sb.append(", goodsSpecName=").append(goodsSpecName);
        sb.append(", goodsPrice=").append(goodsPrice);
        sb.append(", goodsActualPrice=").append(goodsActualPrice);
        sb.append(", saleCount=").append(saleCount);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", giveawayType=").append(giveawayType);
        sb.append(", childOrdeStatus=").append(childOrdeStatus);
        sb.append(", praiseStatus=").append(praiseStatus);
        sb.append(", gasOilNo=").append(gasOilNo);
        sb.append(", gasGunNo=").append(gasGunNo);
        sb.append(", gasOilType=").append(gasOilType);
        sb.append(", gasOrderNo=").append(gasOrderNo);
        sb.append(", gasPriceGun=").append(gasPriceGun);
        sb.append(", gasPriceVip=").append(gasPriceVip);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", ext6=").append(ext6);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}